library awesome_loader;

import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

import 'Loader1.dart';
import 'Loader2.dart';
import 'Loader3.dart';

/// A Calculator.
class AwesomeLoader extends StatelessWidget {
  static const int AwesomeLoader1 = 1;
  static const int AwesomeLoader2 = 2;
  static const int AwesomeLoader3 = 3;

  final int animationLoaderType;
  final Color color;

  const AwesomeLoader({Key key, this.animationLoaderType, this.color})
      : super(key: key);

  int _getAnimationLoaderType() =>
      animationLoaderType != null ? animationLoaderType : AwesomeLoader1;

  Color _getColor(BuildContext context) =>
      color?.value ?? Theme.of(context).accentColor;

  @override
  Widget build(BuildContext context) {
    return Container(
      width: 50.0,
      height: 50.0,
      child: _getLoader(context),
    );
  }

  Widget _getLoader(BuildContext context) {
    switch (_getAnimationLoaderType()) {
      case AwesomeLoader1:
        return Loader1(
          color: _getColor(context),
        );
        break;
      case AwesomeLoader2:
        return Loader2(
          color: _getColor(context),
        );
        break;
      case AwesomeLoader3:
        return Loader3(
          color: _getColor(context),
        );
        break;
      default:
        return Loader1(
          color: _getColor(context),
        );
        break;
    }
  }
}
